Debian Bug report logs - #668172
libreoffice-impress: impress doesn't show anything in presentation mode with cairo 1.12

version graph

Package: libcairo2; Maintainer for libcairo2 is Dave Beckett <dajobe@debian.org>; Source for libcairo2 is src:cairo.

Reported by: IOhannes m zmoelnig <zmoelnig@iem.at>

Date: Mon, 9 Apr 2012 12:40:51 UTC

Severity: grave

Tags: fixed-upstream, patch, upstream

Merged with 668190, 669629

Found in version cairo/1.12.0-1

Fixed in version cairo/1.12.0-2.1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=49118

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#668172; Package libreoffice-impress. (Mon, 09 Apr 2012 12:40:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to IOhannes m zmoelnig <zmoelnig@iem.at>:
New Bug report received and forwarded. Copy sent to Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Mon, 09 Apr 2012 12:40:57 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: IOhannes m zmoelnig <zmoelnig@iem.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libreoffice-impress: impress doesn't show anything in presentation mode
Date: Mon, 09 Apr 2012 13:56:05 +0200
Package: libreoffice-impress
Version: 1:3.5.2-1
Severity: normal

Dear Maintainer,
   * while preparing an OO-presentation in impress i noticed that i cannot
     preview it anymore
   * I hit "[F5]" to go into presentation mode
   * seemingly nothing: image stayed and screen froze
   * have the presentation in fullscreen mode.

i repeated the test with a fresh (empty) presentation, and had the same
behaviour.
interestingly enough, it still responds to keypresses, so i can exit the
invisible presentation by hitting "[ESC]" (took me a while and a lot of SIGTERMed
libreoffices to find that out).
It seems like i can also navigate the pages, e.g. hitting "[SPACE]" in an empty
1-page presentation eventually gave me the "End of presentation" screen.


what might be related:
the PDF-export of a presentation seems to work (phew, that's my last hope to get
the presentation running intime), but takes ages.
what's more disturbing is, that libreoffice is totally unreactive while
exporting to PDF, giving no feedback that it is actually doing something and not
just crashed.


i had the same problems with the ~rc2 package of this version.


fgmadsr
IOhannes


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libreoffice-impress depends on:
ii  libc6             2.13-27
ii  libgcc1           1:4.7.0-2
ii  libreoffice-core  1:3.5.2-1
ii  libreoffice-draw  1:3.5.2-1
ii  libstdc++6        4.7.0-2
ii  uno-libs3         3.5.2-1
ii  ure               3.5.2-1

libreoffice-impress recommends no packages.

libreoffice-impress suggests no packages.

Versions of packages libreoffice-core depends on:
ii  fontconfig                         2.8.0-3.1
ii  fonts-opensymbol [ttf-opensymbol]  2:102.2+LibO3.5.2-1
ii  libc6                              2.13-27
ii  libcairo2                          1.12.0-2
ii  libcmis-0.2-0                      0.1.0-1+b1
ii  libcurl3-gnutls                    7.25.0-1
ii  libdb5.1                           5.1.29-1
ii  libexpat1                          2.1.0-1
ii  libexttextcat0                     3.2.0-2
ii  libfontconfig1                     2.8.0-3.1
ii  libfreetype6                       2.4.9-1
ii  libgcc1                            1:4.7.0-2
ii  libglib2.0-0                       2.32.0-3
ii  libgraphite2-2.0.0                 1.1.1-1
ii  libgstreamer-plugins-base0.10-0    0.10.36-1
ii  libgstreamer0.10-0                 0.10.36-1
ii  libhunspell-1.3-0                  1.3.2-4
ii  libhyphen0                         2.8.3-1
ii  libice6                            2:1.0.7-2
ii  libicu48                           4.8.1.1-5
ii  libjpeg8                           8d-1
ii  libmythes-1.2-0                    2:1.2.2-1
ii  libneon27                          0.29.6-2
ii  libnspr4-0d                        4.9-1
ii  libnss3-1d                         3.13.3-1
ii  libpng12-0                         1.2.47-2
ii  librdf0                            1.0.15-1
ii  libreoffice-common                 1:3.5.2-1
ii  librsvg2-2                         2.36.0-5
ii  libsm6                             2:1.2.0-2
ii  libssl1.0.0                        1.0.1-4
ii  libstdc++6                         4.7.0-2
ii  libx11-6                           2:1.4.4-4
ii  libxext6                           2:1.3.0-3
ii  libxinerama1                       2:1.1.1-3
ii  libxml2                            2.7.8.dfsg-7
ii  libxrandr2                         2:1.3.2-2
ii  libxrender1                        1:0.9.6-2
ii  libxslt1.1                         1.1.26-8
ii  uno-libs3                          3.5.2-1
ii  ure                                3.5.2-1
ii  zlib1g                             1:1.2.6.dfsg-2

Versions of packages libreoffice-draw depends on:
ii  libc6             2.13-27
ii  libgcc1           1:4.7.0-2
ii  libreoffice-core  1:3.5.2-1
ii  libstdc++6        4.7.0-2
ii  libvisio-0.0-0    0.0.15-2+b1
ii  libwpd-0.9-9      0.9.4-3
ii  libwpg-0.2-2      0.2.1-1
ii  libxml2           2.7.8.dfsg-7
ii  uno-libs3         3.5.2-1
ii  ure               3.5.2-1
ii  zlib1g            1:1.2.6.dfsg-2

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#668172; Package libreoffice-impress. (Mon, 09 Apr 2012 13:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Mon, 09 Apr 2012 13:00:06 GMT) Full text and rfc822 format available.

Message #10 received at 668172@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: IOhannes m zmoelnig <zmoelnig@iem.at>, 668172@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#668172: libreoffice-impress: impress doesn't show anything in presentation mode
Date: Mon, 9 Apr 2012 14:52:17 +0200
found 668172 1:3.5.2~rc2-1
tag 668172 + moreinfo
thanks

Hi,

On Mon, Apr 09, 2012 at 01:56:05PM +0200, IOhannes m zmoelnig wrote:
> Dear Maintainer,
>    * while preparing an OO-presentation in impress i noticed that i cannot
>      preview it anymore
>    * I hit "[F5]" to go into presentation mode
>    * seemingly nothing: image stayed and screen froze
>    * have the presentation in fullscreen mode.
> 
> i repeated the test with a fresh (empty) presentation, and had the same
> behaviour.
> interestingly enough, it still responds to keypresses, so i can exit the
> invisible presentation by hitting "[ESC]" (took me a while and a lot of SIGTERMed
> libreoffices to find that out).
> It seems like i can also navigate the pages, e.g. hitting "[SPACE]" in an empty
> 1-page presentation eventually gave me the "End of presentation" screen.
[...]
> i had the same problems with the ~rc2 package of this version.

Unsurprisingly, as the LO code is the same (rc2 == final)

> ii  libcairo2                          1.12.0-2

What happens if you either downgrade this to testings version or
disable [ ] Use hardware acceleration in the options?

It *might* just be another instance of the cairo rendering bug
with the "recent" cairo update...

Regards,

Rene




Marked as found in versions libreoffice/1:3.5.2~rc2-1. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 13:00:14 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 13:00:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#668172; Package libreoffice-impress. (Mon, 09 Apr 2012 14:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Mon, 09 Apr 2012 14:27:03 GMT) Full text and rfc822 format available.

Message #19 received at 668172@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: IOhannes m zmölnig <zmoelnig@iem.at>, 668172@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#668172: libreoffice-impress: impress doesn't show anything in presentation mode
Date: Mon, 9 Apr 2012 16:19:05 +0200
retitle 668172 libreoffice-impress: impress doesn't show anything in presentation mode with cairo 1.12
tag 668172 - moreinfo
severity 668172 grave
reassign 668172 xorg-server
forcemerge 666565 668172
thanks

On Mon, Apr 09, 2012 at 03:57:48PM +0200, IOhannes m zmölnig wrote:
> >>ii  libcairo2                          1.12.0-2
> >
> >What happens if you either downgrade this to testings version or
> >disable [ ] Use hardware acceleration in the options?
> 
> both work!

OK...

> >It *might* just be another instance of the cairo rendering bug
> >with the "recent" cairo update...
> >
> 
> 
> thanks for pointing me into the right direction.
> could you reassing/merge that with the cairo bugreport?

Will do, thanks.

Regards,

Rene




Changed Bug title to 'libreoffice-impress: impress doesn't show anything in presentation mode with cairo 1.12' from 'libreoffice-impress: impress doesn't show anything in presentation mode' Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 14:27:04 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 14:27:05 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'normal' Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 14:27:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libreoffice-impress' to 'xorg-server'. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 14:27:07 GMT) Full text and rfc822 format available.

No longer marked as found in versions libreoffice/1:3.5.2-1 and libreoffice/1:3.5.2~rc2-1. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 14:27:08 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=47266'. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 14:27:09 GMT) Full text and rfc822 format available.

Added indication that bug 668172 blocks 667040,658252 Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 14:27:13 GMT) Full text and rfc822 format available.

Added indication that 668172 affects xserver-xorg-video-radeon,xserver-xorg-video-nouveau,libcairo2,iceweasel,libreoffice Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 14:27:14 GMT) Full text and rfc822 format available.

Marked as found in versions 2:1.11.4-1. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 14:27:14 GMT) Full text and rfc822 format available.

Merged 666468 666538 666564 666565 666695 666922 666998 667048 667073 667445 667520 667809 668172 Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 14:27:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#668172; Package xorg-server. (Mon, 09 Apr 2012 14:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to IOhannes m zmölnig <zmoelnig@iem.at>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 09 Apr 2012 14:42:09 GMT) Full text and rfc822 format available.

Message #44 received at 668172@bugs.debian.org (full text, mbox):

From: IOhannes m zmölnig <zmoelnig@iem.at>
To: Rene Engelhard <rene@debian.org>
Cc: 668172@bugs.debian.org
Subject: Re: Bug#668172: libreoffice-impress: impress doesn't show anything in presentation mode
Date: Mon, 09 Apr 2012 15:57:48 +0200
On 04/09/12 14:52, Rene Engelhard wrote:
>> i had the same problems with the ~rc2 package of this version.
>
> Unsurprisingly, as the LO code is the same (rc2 == final)

well, yes.
but on the packaging side a number of things seem to have changed (at 
least according to the debian/changelog)

>
>> ii  libcairo2                          1.12.0-2
>
> What happens if you either downgrade this to testings version or
> disable [ ] Use hardware acceleration in the options?

both work!

>
> It *might* just be another instance of the cairo rendering bug
> with the "recent" cairo update...
>


thanks for pointing me into the right direction.
could you reassing/merge that with the cairo bugreport?

fgmar
IOhannes




Merged 666468 666538 666564 666565 666695 666922 666998 667048 667073 667445 667520 667809 668172 668190 Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 15:40:11 GMT) Full text and rfc822 format available.

Merged 666468 666538 666564 666565 666695 666922 666998 667048 667073 667445 667520 667809 668172 668182 668190 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 10 Apr 2012 22:12:27 GMT) Full text and rfc822 format available.

Merged 666468 666538 666564 666565 666695 666922 666998 667048 667073 667445 667520 667809 668172 668182 668190 668343 Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Wed, 11 Apr 2012 08:06:35 GMT) Full text and rfc822 format available.

Merged 666468 666538 666564 666565 666695 666922 666998 667048 667073 667445 667520 667809 668172 668182 668190 668343 668993 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Mon, 16 Apr 2012 11:00:30 GMT) Full text and rfc822 format available.

Disconnected #668190 from all other report(s). Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Fri, 20 Apr 2012 18:54:19 GMT) Full text and rfc822 format available.

Disconnected #668172 from all other report(s). Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Fri, 20 Apr 2012 18:54:24 GMT) Full text and rfc822 format available.

Bug reassigned from package 'xorg-server' to 'libcairo2'. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Fri, 20 Apr 2012 18:54:36 GMT) Full text and rfc822 format available.

No longer marked as found in versions 2:1.11.4-1. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Fri, 20 Apr 2012 18:54:36 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Fri, 20 Apr 2012 18:54:41 GMT) Full text and rfc822 format available.

Merged 668172 668190 669629 Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Fri, 20 Apr 2012 18:54:43 GMT) Full text and rfc822 format available.

Marked as found in versions cairo/1.12.0-1. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Fri, 20 Apr 2012 18:54:44 GMT) Full text and rfc822 format available.

Unset Bug forwarded-to-address Request was from rene@rene-engelhard.de (Rene Engelhard) to control@bugs.debian.org. (Fri, 20 Apr 2012 20:03:05 GMT) Full text and rfc822 format available.

Added indication that 668172 affects libreoffice-impress Request was from rene@rene-engelhard.de (Rene Engelhard) to control@bugs.debian.org. (Sun, 22 Apr 2012 12:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#668172; Package libcairo2. (Tue, 24 Apr 2012 15:13:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to eric2.valette@orange.com:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Tue, 24 Apr 2012 15:13:28 GMT) Full text and rfc822 format available.

Message #75 received at 668172@bugs.debian.org (full text, mbox):

From: VALETTE Eric RD-MAPS-REN <eric2.valette@orange.com>
To: 668172@bugs.debian.org
Subject: I have been bitten by this bug too
Date: Tue, 24 Apr 2012 16:35:14 +0200
[Message part 1 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#668172; Package libcairo2. (Tue, 24 Apr 2012 16:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric.Valette@Free.fr:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Tue, 24 Apr 2012 16:12:10 GMT) Full text and rfc822 format available.

Message #80 received at 668172@bugs.debian.org (full text, mbox):

From: Eric Valette <Eric.Valette@Free.fr>
To: 668172@bugs.debian.org
Subject: Upstream author wants a separate bug for impress slide show problem.
Date: Tue, 24 Apr 2012 18:00:50 +0200
[Message part 1 (text/html, inline)]

Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=49118'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 25 Apr 2012 09:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#668172; Package libcairo2. (Wed, 25 Apr 2012 10:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric.Valette@Free.fr:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Wed, 25 Apr 2012 10:00:56 GMT) Full text and rfc822 format available.

Message #87 received at 668172@bugs.debian.org (full text, mbox):

From: Eric Valette <Eric.Valette@Free.fr>
To: 668172@bugs.debian.org
Subject: Created upstream bug 49118
Date: Wed, 25 Apr 2012 11:49:04 +0200
Maybe this should be added by an upstream reference




Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#668172; Package libcairo2. (Wed, 25 Apr 2012 13:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to eric2.valette@orange.com:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Wed, 25 Apr 2012 13:51:07 GMT) Full text and rfc822 format available.

Message #92 received at 668172@bugs.debian.org (full text, mbox):

From: VALETTE Eric RD-MAPS-REN <eric2.valette@orange.com>
To: 668172@bugs.debian.org
Subject: libreoffice slideshow bug attributed to libcairo shall be unmerged from other display corruption bug
Date: Wed, 25 Apr 2012 15:47:26 +0200
See Michael Danzer comment at:

https://bugs.freedesktop.org/show_bug.cgi?id=47266#c132

-- eric






Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#668172; Package libcairo2. (Wed, 25 Apr 2012 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Wed, 25 Apr 2012 14:00:03 GMT) Full text and rfc822 format available.

Message #97 received at 668172@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: eric2.valette@orange.com, 668172@bugs.debian.org
Subject: Re: Bug#668172: libreoffice slideshow bug attributed to libcairo shall be unmerged from other display corruption bug
Date: Wed, 25 Apr 2012 15:57:38 +0200
Guess what, it already is.  This bug is about the LO impress issue
(https://bugs.freedesktop.org/show_bug.cgi?id=49118).  #666468 is about
display corruption with EXA and no solid picture acceleration
(https://bugs.freedesktop.org/show_bug.cgi?id=47266).  Anything else
needs a separate report.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#668172; Package libcairo2. (Wed, 25 Apr 2012 14:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric.Valette@Free.fr:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Wed, 25 Apr 2012 14:12:03 GMT) Full text and rfc822 format available.

Message #102 received at 668172@bugs.debian.org (full text, mbox):

From: Eric Valette <Eric.Valette@Free.fr>
To: Julien Cristau <jcristau@debian.org>
Cc: 668172@bugs.debian.org
Subject: Re: Bug#668172: libreoffice slideshow bug attributed to libcairo shall be unmerged from other display corruption bug
Date: Wed, 25 Apr 2012 16:09:34 +0200
[Message part 1 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#668172; Package libcairo2. (Wed, 25 Apr 2012 20:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to eric.valette@free.fr:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Wed, 25 Apr 2012 20:27:06 GMT) Full text and rfc822 format available.

Message #107 received at 668172@bugs.debian.org (full text, mbox):

From: Eric Valette <eric.valette@free.fr>
To: 668172@bugs.debian.org
Subject: patch to fix the problem
Date: Wed, 25 Apr 2012 22:25:08 +0200
http://cgit.freedesktop.org/cairo/patch/?id=9e81c5b737cda9dc539b2cf497c20ac48ddb91ac




Added tag(s) upstream, fixed-upstream, and patch; removed tag(s) moreinfo. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 26 Apr 2012 08:45:16 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Thu, 26 Apr 2012 21:51:07 GMT) Full text and rfc822 format available.

Notification sent to IOhannes m zmoelnig <zmoelnig@iem.at>:
Bug acknowledged by developer. (Thu, 26 Apr 2012 21:51:07 GMT) Full text and rfc822 format available.

Message #114 received at 668172-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 668172-close@bugs.debian.org
Subject: Bug#668172: fixed in cairo 1.12.0-2.1
Date: Thu, 26 Apr 2012 21:49:39 +0000
Source: cairo
Source-Version: 1.12.0-2.1

We believe that the bug you reported is fixed in the latest version of
cairo, which is due to be installed in the Debian FTP archive:

cairo-perf-utils_1.12.0-2.1_amd64.deb
  to main/c/cairo/cairo-perf-utils_1.12.0-2.1_amd64.deb
cairo_1.12.0-2.1.debian.tar.gz
  to main/c/cairo/cairo_1.12.0-2.1.debian.tar.gz
cairo_1.12.0-2.1.dsc
  to main/c/cairo/cairo_1.12.0-2.1.dsc
libcairo-gobject2_1.12.0-2.1_amd64.deb
  to main/c/cairo/libcairo-gobject2_1.12.0-2.1_amd64.deb
libcairo-script-interpreter2_1.12.0-2.1_amd64.deb
  to main/c/cairo/libcairo-script-interpreter2_1.12.0-2.1_amd64.deb
libcairo2-dbg_1.12.0-2.1_amd64.deb
  to main/c/cairo/libcairo2-dbg_1.12.0-2.1_amd64.deb
libcairo2-dev_1.12.0-2.1_amd64.deb
  to main/c/cairo/libcairo2-dev_1.12.0-2.1_amd64.deb
libcairo2-doc_1.12.0-2.1_all.deb
  to main/c/cairo/libcairo2-doc_1.12.0-2.1_all.deb
libcairo2-udeb_1.12.0-2.1_amd64.udeb
  to main/c/cairo/libcairo2-udeb_1.12.0-2.1_amd64.udeb
libcairo2_1.12.0-2.1_amd64.deb
  to main/c/cairo/libcairo2_1.12.0-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 668172@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated cairo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 26 Apr 2012 21:57:15 +0200
Source: cairo
Binary: libcairo2-dev libcairo2 libcairo2-dbg libcairo2-doc libcairo-script-interpreter2 libcairo-gobject2 cairo-perf-utils libcairo2-udeb
Architecture: source all amd64
Version: 1.12.0-2.1
Distribution: unstable
Urgency: low
Maintainer: Dave Beckett <dajobe@debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 cairo-perf-utils - The Cairo 2D vector graphics library performance utilities
 libcairo-gobject2 - The Cairo 2D vector graphics library (GObject library)
 libcairo-script-interpreter2 - The Cairo 2D vector graphics library (script interpreter)
 libcairo2  - The Cairo 2D vector graphics library
 libcairo2-dbg - The Cairo 2D vector graphics library (debugging symbols)
 libcairo2-dev - Development files for the Cairo 2D graphics library
 libcairo2-doc - Documentation for the Cairo Multi-platform 2D graphics library
 libcairo2-udeb - The Cairo 2D vector graphics library Xlib backend (udeb)
Closes: 668172 668619 669990
Changes: 
 cairo (1.12.0-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * 07_traps-Clip-the-trapezoid-extents-against-the-clip-ex.patch:
     patch from upstream git fixing crashes in evince (closes: #668619)
   * 08_xlib-Allow-applications-to-create-0x0-surfaces.patch: patch from
     upstream git fixing libreoffice impress slideshow mode (closes: #668172)
   * Exclude cairo-perf-utils from libcairo2-dbg (closes: #669990)
   * Properly remove all stamp files in debian/rules clean.
   * Drop dh_testroot from debian/rules clean.
Checksums-Sha1: 
 5a7cd6ab9e7628913c901e44591a2d940da1d2dc 2664 cairo_1.12.0-2.1.dsc
 6ece84bcd99ef839b56ce584d25f2f51449f84f9 32065 cairo_1.12.0-2.1.debian.tar.gz
 44ddd1970b713d4eb2d97c4ad7997a0d579dec62 591768 libcairo2-doc_1.12.0-2.1_all.deb
 7fa73461a90075dccb2d9c5f44add6dad4b1b847 1145902 libcairo2-dev_1.12.0-2.1_amd64.deb
 ff0f7db0b6c246d7096dde387c95c34d9f3b2c64 896002 libcairo2_1.12.0-2.1_amd64.deb
 b585de3c71e88320861b285060852a0ee9dc42e8 1991992 libcairo2-dbg_1.12.0-2.1_amd64.deb
 e4d5d34ce7504cc2d3d320833675f767121208ff 466324 libcairo-script-interpreter2_1.12.0-2.1_amd64.deb
 377ee485964b32288625a7ce8bf01863227f4c95 422074 libcairo-gobject2_1.12.0-2.1_amd64.deb
 7d4058938d943b01e0f7b52665845bee6ac7d814 916252 cairo-perf-utils_1.12.0-2.1_amd64.deb
 9a80f69e55bf9557d088f2264974dfdaf38aac5c 430310 libcairo2-udeb_1.12.0-2.1_amd64.udeb
Checksums-Sha256: 
 7c5dac2a2060efad881cf855905695e54591e35757c3b4fbe38a667eed98a0bd 2664 cairo_1.12.0-2.1.dsc
 d4206f41e6d348085804daa2443062f00a183019a4e49de0bf27f5c9812e9d0b 32065 cairo_1.12.0-2.1.debian.tar.gz
 35301d420a6150b5e6a2d557c02281fbdd95608d7f53e3a19c42f3fff68990f1 591768 libcairo2-doc_1.12.0-2.1_all.deb
 1aa82889ce3f695f4f40e6c8c6a35b124b9564638f995e63e9fc68e4a69da467 1145902 libcairo2-dev_1.12.0-2.1_amd64.deb
 f90d440b568b69d2848c687d37f8d8fa946c003cbc855ea9c9a163e9e9fdcbfc 896002 libcairo2_1.12.0-2.1_amd64.deb
 9e28749cc39325f49989cde844e23d863a94ed51327904af0f892e4d89d8f0fa 1991992 libcairo2-dbg_1.12.0-2.1_amd64.deb
 4b1d8b80085f0f54b410818055af1ee82f46fa2a7645f99c0c6a51db6dfa7567 466324 libcairo-script-interpreter2_1.12.0-2.1_amd64.deb
 b336f163d29f84842fbd0216ee921a37fcfaa45b16f568f9ae7b875401e12d97 422074 libcairo-gobject2_1.12.0-2.1_amd64.deb
 16cef453164b672585cb1b6271bba36a364e0cdf7e227654dd820d8f9f343cee 916252 cairo-perf-utils_1.12.0-2.1_amd64.deb
 fb3e2b894a785077c2ea9cd6ded4aa96bb059a7d30e2dffd444c7e3384287a7b 430310 libcairo2-udeb_1.12.0-2.1_amd64.udeb
Files: 
 624ae0860a7338362c75fd7175ed2f0e 2664 libs optional cairo_1.12.0-2.1.dsc
 d9669685a3f2297b92645cfab16ab75c 32065 libs optional cairo_1.12.0-2.1.debian.tar.gz
 6fa71ad189bb96469c8f21f7cdbc0861 591768 doc optional libcairo2-doc_1.12.0-2.1_all.deb
 ac02ec63e7fbbd00c3c5ba2eda12e2bf 1145902 libdevel optional libcairo2-dev_1.12.0-2.1_amd64.deb
 f1a44637e6a4c45ce6b96b6eba0e112a 896002 libs optional libcairo2_1.12.0-2.1_amd64.deb
 75ffa0194b87a823d22a185582b26321 1991992 debug extra libcairo2-dbg_1.12.0-2.1_amd64.deb
 78e648f32b37b80fe79c7abf48bf1a54 466324 libs optional libcairo-script-interpreter2_1.12.0-2.1_amd64.deb
 4eef7a81fe1ed5ea2a34b3c13a471064 422074 libs optional libcairo-gobject2_1.12.0-2.1_amd64.deb
 bba727d0fc6224de2f19a1c1c6a2be91 916252 misc optional cairo-perf-utils_1.12.0-2.1_amd64.deb
 30b07a952b5b189d96a47bbab5af4fa1 430310 debian-installer optional libcairo2-udeb_1.12.0-2.1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPma+9AAoJEDEBgAUJBeQMT0MP/1vxvfnoC7VvOCSSsITcnihY
RwylibgvZ51THD5kKvMpLd46qZzJSbySEeNriQuox6JtuYdB/18Z1e9rqyBs7vYL
OAL3/KlS2ZjpO+Yd43ZbSyWbxpGJuzdZM6p5pPhBBiZjBnx2U9+VlW++uvLPboIG
GwAqJ6ENgPCzqbCk3lOs28bovnQtnZfugphXZu+w4R52HNLH/T9aYuIsB5MkOz+M
JynyJxMMMasvYcfMq6h5vQk7x0HpM+KntrksYQTCga0tpyAbZfu1GpZFGZeBSEKN
eefO63GeNP8s7iBsWSwKZUMFIlKxOoKAVvQQDujkg9GEGzwtkkOiQSFnANjHxILq
fD6XOCOvG046IPRe2nrNXk1fotQa03UzLjnxyYO3FngqGgUWMUWN2DXtS0qBlRQ3
bRZGZQvrklj0N50+l092jFGiLNoi72DbJrwFgTTm3JWzqo2qZpKv71n0hK0alzqh
1gs3KvE9YcC0lV+53L+VOg0ukAoKG+FhOqJ2py6+tX+aBwpVCyRVwrzllHUehGr/
3AxJP3G03srcNQI8GGdb0H+uugmcrY61wruwBiqyupXI8xsYbF4sktfSQYtPGRXH
XEfKMXkRLilHnxRpu/hhEIlUbPVq5jzJ8HLdfFCjx5BPALX+f++dm5C+zaDKaVGA
/uisqch6up6VCtbJNrYc
=YCPl
-----END PGP SIGNATURE-----





Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Thu, 26 Apr 2012 21:51:08 GMT) Full text and rfc822 format available.

Notification sent to Mourad Jaber <newbeewan@nativobject.net>:
Bug acknowledged by developer. (Thu, 26 Apr 2012 21:51:08 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Thu, 26 Apr 2012 21:51:09 GMT) Full text and rfc822 format available.

Notification sent to dai <daibickham@googlemail.com>:
Bug acknowledged by developer. (Thu, 26 Apr 2012 21:51:09 GMT) Full text and rfc822 format available.

Removed indication that bug 668172 blocks 658252 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 24 May 2012 17:12:24 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Jun 2012 07:38:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:40:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.